XnOutputMetaData Struct Reference

`#include <XnTypes.h>`

## Public Attributes

XnUInt64 | nTimestamp
XnUInt32 | nFrameID
XnUInt32 | nDataSize
XnBool | bIsNew

## Detailed Description

Holds information about a general frame of data.

## Member Data Documentation

## bIsNew

XnBool XnOutputMetaData::bIsNew

Specifies whether the generator updated this data on the last call to one of the XnWaitXXXUpdateXXX() functions.

## nDataSize

XnUInt32 XnOutputMetaData::nDataSize

The size of the data.

## nFrameID

XnUInt32 XnOutputMetaData::nFrameID

The frame ID, or frame number, of this frame.

## nTimestamp

XnUInt64 XnOutputMetaData::nTimestamp

Represents the time in which the data was received.

The documentation for this struct was generated from the following file:

- XnTypes.h